require File.expand_path("../../lib/avod.rb", __FILE__)

describe "avod" do 


	before(:each) do 
		app_id = "ty3gmgv4wy39ce0fip38179tr785kwzdxi36s0tjp6c1qlql"
		app_key = "frul1auqu2qpqayn4bvlfnj8if9cboqdwxzfv9tko6z4rzwk"
		master_key = "1y91cayb2izmenmifwm9o5th57k2du2ykatxfafdsl36gd69"
		@client = Avod::Client.new(app_id, app_key, master_key)
		@class_name = 'PP'
	end


	context "Installions" do
		it "return Installions list " do
			@client.get_installations["results"].should_not be_nil
		end

		it "return install information " do
			@client.get_install("5253d4cae4b0289ec776bd35")["deviceType"].should_not be_nil
		end

		it "update install information" do
			data = @client.get_install("5253d4cae4b0289ec776bd35")
			data["channels"] = ["123","rabbit","cpp", (SecureRandom.hex 2)]
			@client.update_install("5253d4cae4b0289ec776bd35", data)["updatedAt"].should_not be_nil
		end

	end
end
